Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class InterceptorOrderTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.InterceptorOrderTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, InterceptorOrderType<T>

    public class InterceptorOrderTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, InterceptorOrderType<T>

This class implements the `interceptor-orderType` xsd type

Original Documentation:

The interceptor-orderType element describes a total ordering
of interceptor classes.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`InterceptorOrderTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`InterceptorOrderTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getInterceptorClassList()` Returns all `interceptor-class` elements
`InterceptorOrderType<T>` | `removeAllInterceptorClass()` Removes the `interceptor-class` element
`InterceptorOrderType<T>` | `setInterceptorClass(java.lang.String interceptorClass)` Creates a new `interceptor-class` element
`InterceptorOrderType<T>` | `setInterceptorClassList(java.lang.String... values)` Creates for all String objects representing `interceptor-class` elements, a new `interceptor-class` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorOrderTypeImpl

    public InterceptorOrderTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### InterceptorOrderTypeImpl

    public InterceptorOrderTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setInterceptorClass

    public InterceptorOrderType<T> setInterceptorClass(java.lang.String interceptorClass)

  Creates a new `interceptor-class` element

  Specified by:
    `setInterceptorClass` in interface `InterceptorOrderType<T>`
  Returns:
    the current instance of `InterceptorOrderType`

### setInterceptorClassList

    public InterceptorOrderType<T> setInterceptorClassList(java.lang.String... values)

  Creates for all String objects representing `interceptor-class` elements, a new `interceptor-class` element

  Specified by:
    `setInterceptorClassList` in interface `InterceptorOrderType<T>`
  Parameters:
    `list` - of `interceptor-class` objects
  Returns:
    the current instance of `InterceptorOrderType`

### removeAllInterceptorClass

    public InterceptorOrderType<T> removeAllInterceptorClass()

  Removes the `interceptor-class` element

  Specified by:
    `removeAllInterceptorClass` in interface `InterceptorOrderType<T>`
  Returns:
    the current instance of `InterceptorOrderType`

### getInterceptorClassList

    public java.util.List<java.lang.String> getInterceptorClassList()

  Returns all `interceptor-class` elements

  Specified by:
    `getInterceptorClassList` in interface `InterceptorOrderType<T>`
  Returns:
    list of `interceptor-class`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD